package com.realnet.app-b.Services;
import com.realnet.app-b.Repository.CalculatorwireframeRepository;
import com.realnet.app-b.Entity.Calculatorwireframe
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;








	import org.springframework.stereotype.Service;

@Service
 public class CalculatorwireframeService {
@Autowired
private CalculatorwireframeRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;







public Calculatorwireframe Savedata(Calculatorwireframe data) {








	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Calculatorwireframe save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Calculatorwireframe> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Calculatorwireframe> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Calculatorwireframe> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Calculatorwireframe getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Calculatorwireframe update(Calculatorwireframe data,Integer id) {
	Calculatorwireframe old = Repository.findById(id).get();
old.setNumber1(data.getNumber1());

old.setNumber2(data.getNumber2());

old.setOperation(data.getOperation());

old.setResult(data.getResult());

final Calculatorwireframe test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 








 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
